Orxonox: orxonox::PongScore Class Reference

# orxonox::PongScore Class Reference

`#include <src/orxonox/overlays/hud/PongScore.h>`

Inheritance diagram for orxonox::PongScore:

List of all members.

## Public Member Functions

virtual void | changedOwner ()
bool | getShowLeftPlayer () const
bool | getShowName () const
bool | getShowRightPlayer () const
bool | getShowScore () const
| PongScore (BaseObject *creator)
void | setShowLeftPlayer (bool value)
void | setShowName (bool value)
void | setShowRightPlayer (bool value)
void | setShowScore (bool value)
virtual void | tick (float dt)
| Gets called every frame.
virtual void | XMLPort (Element &xmlelement, XMLPort::Mode mode)
| Loads the OrxonoxOverlay.
virtual | ~PongScore ()

## Private Attributes

bool | bShowLeftPlayer_
bool | bShowName_
bool | bShowRightPlayer_
bool | bShowScore_
Pong * | owner_

## Constructor & Destructor Documentation

orxonox::PongScore::PongScore | ( | BaseObject * | creator | ) |

References bShowLeftPlayer_, bShowName_, bShowRightPlayer_, bShowScore_, owner_, and RegisterObject.

orxonox::PongScore::~PongScore | ( |  | ) | `[virtual]`

## Member Function Documentation

void orxonox::PongScore::changedOwner | ( |  | ) | `[virtual]`

Reimplemented from orxonox::OrxonoxOverlay.

References orxonox::BaseObject::getGametype(), orxonox::OrxonoxOverlay::getOwner(), owner_, and SUPER.

bool orxonox::PongScore::getShowLeftPlayer | ( |  | ) | const`[inline]`

Referenced by XMLPort().

bool orxonox::PongScore::getShowName | ( |  | ) | const`[inline]`

Referenced by XMLPort().

bool orxonox::PongScore::getShowRightPlayer | ( |  | ) | const`[inline]`

Referenced by XMLPort().

bool orxonox::PongScore::getShowScore | ( |  | ) | const`[inline]`

Referenced by XMLPort().

void orxonox::PongScore::setShowLeftPlayer | ( | bool | value | ) | `[inline]`

Referenced by XMLPort().

void orxonox::PongScore::setShowName | ( | bool | value | ) | `[inline]`

Referenced by XMLPort().

void orxonox::PongScore::setShowRightPlayer | ( | bool | value | ) | `[inline]`

Referenced by XMLPort().

void orxonox::PongScore::setShowScore | ( | bool | value | ) | `[inline]`

Referenced by XMLPort().

void orxonox::PongScore::tick | ( | float | dt | ) | `[virtual]`

Gets called every frame.

Parameters:

  | dt | The time since the last frame in seconds

Implements orxonox::Tickable.

References bShowLeftPlayer_, bShowName_, bShowRightPlayer_, bShowScore_, orxonox::Pong::getLeftPlayer(), orxonox::BaseObject::getName(), orxonox::Pong::getRightPlayer(), orxonox::Gametype::getScore(), orxonox::multi_cast(), owner_, orxonox::OverlayText::setCaption(), and SUPER.

void orxonox::PongScore::XMLPort | ( | Element & | xmlElement,
|  | XMLPort::Mode | mode |
| ) |  |  | `[virtual]`

Loads the OrxonoxOverlay.

This has to be called before usage, otherwise strange behaviour is guaranteed! (there should be no segfaults however). XML loading and saving.

Parameters:

  | xmlelement | The XML-element
  | loading | Loading (true) or saving (false)

Returns:
  The XML-element

Reimplemented from orxonox::OverlayText.

References getShowLeftPlayer(), getShowName(), getShowRightPlayer(), getShowScore(), setShowLeftPlayer(), setShowName(), setShowRightPlayer(), setShowScore(), SUPER, and XMLPortParam.

## Member Data Documentation

bool orxonox::PongScore::bShowLeftPlayer_`[private]`

Referenced by PongScore(), and tick().

bool orxonox::PongScore::bShowName_`[private]`

Referenced by PongScore(), and tick().

bool orxonox::PongScore::bShowRightPlayer_`[private]`

Referenced by PongScore(), and tick().

bool orxonox::PongScore::bShowScore_`[private]`

Referenced by PongScore(), and tick().

Pong* orxonox::PongScore::owner_`[private]`

Reimplemented from orxonox::OrxonoxOverlay.

Referenced by changedOwner(), PongScore(), and tick().

The documentation for this class was generated from the following files:

- src/orxonox/overlays/hud/PongScore.h
- src/orxonox/overlays/hud/PongScore.cc